.-m {
  // Vertical margins
  &v {
    &0 {
      margin-top: 0;
      margin-bottom: 0;
    }

    &d {
      margin-top: var(--spacer-default);
      margin-bottom: var(--spacer-default);
    }

    &l {
      margin-top: var(--spacer-large);
      margin-bottom: var(--spacer-large);
    }
  }

  // Horizontal margins
  &h {
    &d {
      margin-right: var(--spacer-default);
      margin-left: var(--spacer-default);
    }
  }

  // Bottom margins
  &b {
    &d { margin-bottom: var(--spacer-default); }
    &m { margin-bottom: var(--spacer-medium); }
    &l { margin-bottom: var(--spacer-large); }
  }

  // Top margins
  &t {
    &0 { margin-top: 0; }
    &d { margin-top: var(--spacer-default); }
    &m { margin-top: var(--spacer-medium); }
    &l { margin-top: var(--spacer-large); }
  }

  // All at once: default
  &d { margin: var(--spacer-default); }
}
